import axios from '../utils/request';
// import qs from 'qs';
//角色列表
export async function getRole_list (page, page_size) {
  const res = await axios.post("/api/v1/merchant/authority/role_list", {
    page, page_size
  })
  return res;
}
//添加角色
export async function getAdd_role (role_name, permissions) {
  const res = await axios.post("/api/v1/merchant/authority/add_role", {
    role_name, permissions
  })
  return res.result;
}
//角色编辑
export async function getUpdate_role (role_name, role_id, permissions) {
  const res = await axios.post("/api/v1/merchant/authority/update_role", {
    role_name, role_id, permissions
  })
  return res.result;
}
//角色详情
export async function get_role_info (role_id) {
  const res = await axios.post("/api/v1/merchant/authority/get_role_info", {
    role_id
  })
  return res.result;
}

//权限列表
export async function getAll_role_list (user_name, user_email) {
  const res = await axios.post("/api/v1/merchant/authority/get_role_list", {
    user_name, user_email
  })
  return res.permissions;
}
